Zum Inhalt springen
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Retrieve a topic

GET/topics/{id}
Autorisierung
AuthorizationBearer-Token · headererforderlich

A BillionSend API key (bs_…).

Pfadparameter
idstring<uuid>erforderlich
Antworten
200

Topic

idstring<uuid>erforderlich
namestringerforderlich
descriptionstring
default_subscriptionstringerforderlich
Erlaubt:opt_inopt_out
visibilitystringerforderlich
Erlaubt:privatepublic
domain_idstring<uuid> | nullerforderlich

BillionSend extension: the domain the topic is bound to; null for a team-wide topic

created_atstringerforderlich
401

Missing, malformed, unknown or revoked API key

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
404

Not found

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
Ausprobieren
Server
Autorisierung
Parameter
Anfrage
curl -X GET 'https://api.billionsend.com/topics/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Antwort
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "description": "string",
  "default_subscription": "opt_in",
  "visibility": "private",
  "domain_id": "b2f7354f-b74d-4332-ab10-1a5e3c56466c",
  "created_at": "string"
}

War diese Seite hilfreich?